Change true north angle using dynmao

Hi, All good morning

I want change true north angle using dynamo, but i can’t any idea how to start for this.

Please give me a suggestion.

Hi @robert12546358

Please check my script rotate_true_north.dyn (4.1 KB)

a

import clr
from math import pi as PI

clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *



doc = DocumentManager.Instance.CurrentDBDocument
TransactionManager.Instance.EnsureInTransaction(doc)

projPos = ProjectPosition(0, 0, 0, -1*IN[0]*(PI/180))
doc.ActiveProjectLocation.SetProjectPosition(XYZ(0, 0, 0), projPos)
TransactionManager.Instance.TransactionTaskDone()

OUT = True

-biboy

2 Likes

Thanks you blsalvio :+1: :+1: :+1:

Your script is working.

`